package com.tofly.feesapi.sfgl.service;

import com.baomidou.mybatisplus.extension.service.IService;

import com.tofly.feesapi.common.core.dto.PageDto;
import com.tofly.feesapi.common.core.vo.PageResult;
import com.tofly.feesapi.sfgl.entity.YyWyjtz;
import com.tofly.feesapi.sfgl.entity.dto.YyWyjtzDto;
import com.tofly.feesapi.sfgl.entity.dto.YyWyjtzFilter;
import com.tofly.feesapi.sfgl.entity.dto.YyWyjtzGdDto;
import com.tofly.feesapi.sfgl.entity.dto.YyWyjtzUpdate;
import com.tofly.feesapi.sfgl.entity.vo.YyQfmxWyjSelect;
import com.tofly.feesapi.sfgl.entity.vo.YyWyjtzVo;

import java.util.List;

public interface YyWyjtzService extends IService<YyWyjtz> {

    Boolean wyjtzSave(YyWyjtzUpdate dto);

    String wyjtzSave_gd(YyWyjtzGdDto dto);

    Boolean wyjtzSaveAll(YyWyjtzDto dto);

    Boolean wyjtzSaveAllOne(YyWyjtzDto dto);

    Boolean wyjtzSaveHalf(YyWyjtzDto dto);

    YyQfmxWyjSelect getPage(PageDto pageDto, YyWyjtzFilter dto);

    List<YyWyjtzVo> getList(YyWyjtzFilter dto);

    PageResult<YyWyjtzVo> getGdPage(PageDto pageDto, YyWyjtzFilter dto);

    YyWyjtzVo getGdWyjInfo(String gdlsbh);

    /** 更新违约金调整记录 */
    void gxwyjtzjl(String qfid);
}
